<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css" integrity="sha384-rwoIResjU2yc3z8GV/NPeZWAv56rSmLldC3R/AZzGRnGxQQKnKkoFVhFQhNUwEyJ" crossorigin="anonymous">

  <style>
    body{
      margin-top: 70px;
      background: #333;
      color: #fff;
    }
  </style>


  <title>Weight Converter</title>
</head>
<body>

  <div class="container">
    <div class="row">
      <div class="col-md-6 offset-md-3">
        <h1 class="display-4 text-center mb-3">Weight Converter</h1>

        <form>
          <div class="form-group">
            <input
            id="lbsInput"
             type="number" class="form-control form-control-lg"
             placeholder="Enter Pounds">

          </div>
        </form>

        <div id="output">

          <div class="card card-primary mb-2">
            <div class="card-block">
              <h4>Grams:</h4>
            <div id="gramsOutput"></div>
            </div>
          </div>

          <div class="card card-success mb-2">
            <div class="card-block">
              <h4>Kilograms:</h4>
            <div id="kgOutput"></div>
            </div>
          </div>

          <div class="card card-danger mb-2">
            <div class="card-block">
              <h4>Ounces:</h4>
            <div id="ozOutput"></div>
            </div>
          </div>
        </div>

      </div>
    </div>
  </div>

  <!-- Javascript Functionalities -->
  <script>

    // Hiding the cards at first, and fires off only when we start typing
    document.getElementById('output').style.visibility = 'hidden';
    document.getElementById('lbsInput').addEventListener('input', function(e){

      //When the event fires off, the cards will appear
      document.getElementById('output').style.visibility = 'visible';
      let lbs = e.target.value; //set a variable
      document.getElementById('gramsOutput').innerHTML = (lbs/0.0022046).toFixed(2);
      document.getElementById('kgOutput').innerHTML = (lbs/2.2046).toFixed(2);
      document.getElementById('ozOutput').innerHTML = (lbs*16).toFixed(2);

    });
  </script>

</body>
</html>
